Bug 184093 - [patch] sysutils/javaservicewrapper Update to latest version and fix iconv
Summary: [patch] sysutils/javaservicewrapper Update to latest version and fix iconv
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-19 18:30 UTC by mike jakubik
Modified: 2013-12-05 18:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.08 KB, patch)
2013-11-19 18:30 UTC, mike jakubik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mike jakubik 2013-11-19 18:30:00 UTC
This patch fixes build due to change to iconv and updates to latest version.

Fix: Patch attached with submission follows:
Comment 1 Antoine Brodin freebsd_committer 2013-12-04 21:00:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

Take
Comment 2 dfilter service freebsd_committer 2013-12-05 17:53:30 UTC
Author: antoine
Date: Thu Dec  5 17:53:21 2013
New Revision: 335676
URL: http://svnweb.freebsd.org/changeset/ports/335676

Log:
  - Update to 3.5.21
  - Fix build on 10/head after iconv changes
  - Stage support
  
  PR:		ports/184093
  Submitted by:	Mike Jakubik (maintainer)

Modified:
  head/sysutils/javaservicewrapper/Makefile
  head/sysutils/javaservicewrapper/distinfo
  head/sysutils/javaservicewrapper/pkg-plist

Modified: head/sysutils/javaservicewrapper/Makefile
==============================================================================
--- head/sysutils/javaservicewrapper/Makefile	Thu Dec  5 17:18:40 2013	(r335675)
+++ head/sysutils/javaservicewrapper/Makefile	Thu Dec  5 17:53:21 2013	(r335676)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	javaservicewrapper
-PORTVERSION=	3.5.7
+PORTVERSION=	3.5.21
 CATEGORIES=	sysutils java
 MASTER_SITES=	http://wrapper.tanukisoftware.com/download/${PORTVERSION}/
 DISTNAME=	wrapper_${PORTVERSION}_src
@@ -14,12 +14,13 @@ ONLY_FOR_ARCHS=	i386 amd64
 
 USE_JAVA=	1.4+
 USE_ANT=	yes
-USE_GMAKE=	yes
+USES=		gmake iconv
 
 DATADIR=	${PREFIX}/lib/${PORTNAME}
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
 
 .if (${ARCH} == amd64)
 MAKE_ARGS+=	-Dbits=64
@@ -28,18 +29,20 @@ MAKE_ARGS+=	-Dbits=32
 .endif
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|gcc|${CC} ${CFLAGS} -fPIC|' \
+	@${REINPLACE_CMD} -e 's|gcc|${CC} ${CFLAGS}| ; \
+			s|/usr/local|${ICONV_PREFIX}|g ; \
+			s|-liconv|${ICONV_LIB}|' \
 		${WRKSRC}/src/c/Makefile-freebsd-x86-32.gmake \
 		${WRKSRC}/src/c/Makefile-freebsd-x86-64.gmake
 
 do-install:
-	${MKDIR} ${DATADIR}
-	cd ${WRKSRC} && ${CP} -rp bin conf lib test ${DATADIR}
-	${STRIP_CMD} ${DATADIR}/bin/wrapper
-	${LN} -sf ${DATADIR}/bin/wrapper ${PREFIX}/bin/${PORTNAME}
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	${CP} -r ${WRKSRC}/doc/* ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	cd ${WRKSRC} && ${CP} -rp bin conf lib test ${STAGEDIR}${DATADIR}
+	${STRIP_CMD} ${STAGEDIR}${DATADIR}/bin/wrapper
+	${LN} -sf ${DATADIR}/bin/wrapper ${STAGEDIR}${PREFIX}/bin/${PORTNAME}
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/* ${STAGEDIR}${DOCSDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/sysutils/javaservicewrapper/distinfo
==============================================================================
--- head/sysutils/javaservicewrapper/distinfo	Thu Dec  5 17:18:40 2013	(r335675)
+++ head/sysutils/javaservicewrapper/distinfo	Thu Dec  5 17:53:21 2013	(r335676)
@@ -1,2 +1,2 @@
-SHA256 (wrapper_3.5.7_src.tar.gz) = 1090d4314d9ef5544013f14488b983a18b8612f9d12490d2a45fa9c61fb44d5a
-SIZE (wrapper_3.5.7_src.tar.gz) = 465189
+SHA256 (wrapper_3.5.21_src.tar.gz) = 4b7cf9b280cba7c8161d03af3e8fdf003ce6622092e7d50eaf32ffce13c5b43a
+SIZE (wrapper_3.5.21_src.tar.gz) = 538978

Modified: head/sysutils/javaservicewrapper/pkg-plist
==============================================================================
--- head/sysutils/javaservicewrapper/pkg-plist	Thu Dec  5 17:18:40 2013	(r335675)
+++ head/sysutils/javaservicewrapper/pkg-plist	Thu Dec  5 17:53:21 2013	(r335676)
@@ -9,28 +9,70 @@ bin/javaservicewrapper
 %%DATADIR%%/lib/wrappertest.jar
 %%DATADIR%%/lib/wrappertest2.jar
 %%DATADIR%%/lib/wrapperdemo.jar
+%%DATADIR%%/test/additionalparameterfile-01-empty
+%%DATADIR%%/test/additionalparameterfile-01-empty.conf
+%%DATADIR%%/test/additionalparameterfile-01-empty.param
+%%DATADIR%%/test/additionalparameterfile-02-1line
+%%DATADIR%%/test/additionalparameterfile-02-1line.conf
+%%DATADIR%%/test/additionalparameterfile-02-1line.param
+%%DATADIR%%/test/additionalparameterfile-03-stripq-false
+%%DATADIR%%/test/additionalparameterfile-03-stripq-false.conf
+%%DATADIR%%/test/additionalparameterfile-03-stripq-false.param
+%%DATADIR%%/test/additionalparameterfile-04-stripq-true
+%%DATADIR%%/test/additionalparameterfile-04-stripq-true.conf
+%%DATADIR%%/test/additionalparameterfile-04-stripq-true.param
+%%DATADIR%%/test/additionalparameterfile-05-encoding
+%%DATADIR%%/test/additionalparameterfile-05-encoding.conf
+%%DATADIR%%/test/additionalparameterfile-05-encoding.param
+%%DATADIR%%/test/additionalparameterfile-06-multilines
+%%DATADIR%%/test/additionalparameterfile-06-multilines.conf
+%%DATADIR%%/test/additionalparameterfile-06-multilines.param
 %%DATADIR%%/test/backgroundthreads
 %%DATADIR%%/test/backgroundthreads.conf
 %%DATADIR%%/test/daemonthreads
 %%DATADIR%%/test/daemonthreads.conf
+%%DATADIR%%/test/defaultstripquotes-01-none
+%%DATADIR%%/test/defaultstripquotes-01-none.conf
+%%DATADIR%%/test/defaultstripquotes-02-true
+%%DATADIR%%/test/defaultstripquotes-02-true.conf
+%%DATADIR%%/test/defaultstripquotes-03-false
+%%DATADIR%%/test/defaultstripquotes-03-false.conf
+%%DATADIR%%/test/delayediorestarter
+%%DATADIR%%/test/delayediorestarter.conf
 %%DATADIR%%/test/envvars
 %%DATADIR%%/test/envvars.conf
 %%DATADIR%%/test/executablejar
 %%DATADIR%%/test/executablejar.conf
 %%DATADIR%%/test/executablejarcp
-%%DATADIR%%/test/executablejarinitfail.conf
 %%DATADIR%%/test/executablejarcp.conf
 %%DATADIR%%/test/executablejarinitfail
+%%DATADIR%%/test/executablejarinitfail.conf
 %%DATADIR%%/test/filter
 %%DATADIR%%/test/filter.conf
+%%DATADIR%%/test/growinglogoutput
+%%DATADIR%%/test/growinglogoutput.conf
+%%DATADIR%%/test/hugelogoutput
+%%DATADIR%%/test/hugelogoutput.conf
+%%DATADIR%%/test/loadedgcoutput
+%%DATADIR%%/test/loadedgcoutput.conf
+%%DATADIR%%/test/loadedlogoutput
+%%DATADIR%%/test/loadedlogoutput.conf
+%%DATADIR%%/test/loadedsplitoutput
+%%DATADIR%%/test/loadedsplitoutput.conf
 %%DATADIR%%/test/loadedwrapperlistener
 %%DATADIR%%/test/loadedwrapperlistener.conf
 %%DATADIR%%/test/logoutput
 %%DATADIR%%/test/logoutput.conf
+%%DATADIR%%/test/logstdoutstderr
+%%DATADIR%%/test/logstdoutstderr.conf
+%%DATADIR%%/test/logstdoutstderrdetached
+%%DATADIR%%/test/logstdoutstderrdetached.conf
 %%DATADIR%%/test/longrunningbackgroundthreads
 %%DATADIR%%/test/longrunningbackgroundthreads.conf
 %%DATADIR%%/test/memory
 %%DATADIR%%/test/memory.conf
+%%DATADIR%%/test/nestedwrapperlistener
+%%DATADIR%%/test/nestedwrapperlistener.conf
 %%DATADIR%%/test/noreturn
 %%DATADIR%%/test/noreturn.conf
 %%DATADIR%%/test/onexit
@@ -39,6 +81,12 @@ bin/javaservicewrapper
 %%DATADIR%%/test/outputloader.conf
 %%DATADIR%%/test/percentoutput
 %%DATADIR%%/test/percentoutput.conf
+%%DATADIR%%/test/performance
+%%DATADIR%%/test/performance.conf
+%%DATADIR%%/test/performancestartstop
+%%DATADIR%%/test/performancestartstop.conf
+%%DATADIR%%/test/postshutdowngc
+%%DATADIR%%/test/postshutdowngc.conf
 %%DATADIR%%/test/quickcomplete
 %%DATADIR%%/test/quickcomplete.conf
 %%DATADIR%%/test/restarter
@@ -47,6 +95,10 @@ bin/javaservicewrapper
 %%DATADIR%%/test/shutdownhook.conf
 %%DATADIR%%/test/shutdownlock
 %%DATADIR%%/test/shutdownlock.conf
+%%DATADIR%%/test/simplewrapperlistener
+%%DATADIR%%/test/simplewrapperlistener.conf
+%%DATADIR%%/test/slowstop
+%%DATADIR%%/test/slowstop.conf
 %%DATADIR%%/test/stopwhilestarting
 %%DATADIR%%/test/stopwhilestarting.conf
 %%DATADIR%%/test/stopwhilestartingforcestop
@@ -54,10 +106,8 @@ bin/javaservicewrapper
 %%DATADIR%%/test/systemproperty
 %%DATADIR%%/test/systemproperty.conf
 %%DATADIR%%/test/template.conf
-%%DATADIR%%/test/nestedwrapperlistener
-%%DATADIR%%/test/nestedwrapperlistener.conf
-%%DATADIR%%/test/simplewrapperlistener
-%%DATADIR%%/test/simplewrapperlistener.conf
+%%DATADIR%%/test/timedlogoutput
+%%DATADIR%%/test/timedlogoutput.conf
 %%PORTDOCS%%%%DOCSDIR%%/index.html
 %%PORTDOCS%%%%DOCSDIR%%/revisions.txt
 %%PORTDOCS%%%%DOCSDIR%%/wrapper-community-license-1.1.txt
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Antoine Brodin freebsd_committer 2013-12-05 17:55:30 UTC
State Changed
From-To: open->closed

Port updated, thanks!